org.jboss.netty.handler.codec.rtsp

## Class RtspMethods

- java.lang.Object
- - org.jboss.netty.handler.codec.rtsp.RtspMethods

-     public final class RtspMethods
      extends Object

  The request method of RTSP.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HttpMethod` | `ANNOUNCE` The ANNOUNCE posts the description of a presentation or media object identified by the request URL to a server, or updates the client-side session description in real-time.
    `static HttpMethod` | `DESCRIBE` The DESCRIBE method retrieves the description of a presentation or media object identified by the request URL from a server.
    `static HttpMethod` | `GET_PARAMETER` The GET_PARAMETER request retrieves the value of a parameter of a presentation or stream specified in the URI.
    `static HttpMethod` | `OPTIONS` The OPTIONS method represents a request for information about the communication options available on the request/response chain identified by the Request-URI.
    `static HttpMethod` | `PAUSE` The PAUSE request causes the stream delivery to be interrupted (halted) temporarily.
    `static HttpMethod` | `PLAY` The PLAY method tells the server to start sending data via the mechanism specified in SETUP.
    `static HttpMethod` | `RECORD` The RECORD method initiates recording a range of media data according to the presentation description.
    `static HttpMethod` | `REDIRECT` The REDIRECT request informs the client that it must connect to another server location.
    `static HttpMethod` | `SET_PARAMETER` The SET_PARAMETER requests to set the value of a parameter for a presentation or stream specified by the URI.
    `static HttpMethod` | `SETUP` The SETUP request for a URI specifies the transport mechanism to be used for the streamed media.
    `static HttpMethod` | `TEARDOWN` The TEARDOWN request stops the stream delivery for the given URI, freeing the resources associated with it.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpMethod` | `valueOf(String name)` Returns the `HttpMethod` represented by the specified name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPTIONS

          public static final HttpMethod OPTIONS

      The OPTIONS method represents a request for information about the communication options available on the request/response chain identified by the Request-URI. This method allows the client to determine the options and/or requirements associated with a resource, or the capabilities of a server, without implying a resource action or initiating a resource retrieval.

    - #### DESCRIBE

          public static final HttpMethod DESCRIBE

      The DESCRIBE method retrieves the description of a presentation or media object identified by the request URL from a server.

    - #### ANNOUNCE

          public static final HttpMethod ANNOUNCE

      The ANNOUNCE posts the description of a presentation or media object identified by the request URL to a server, or updates the client-side session description in real-time.

    - #### SETUP

          public static final HttpMethod SETUP

      The SETUP request for a URI specifies the transport mechanism to be used for the streamed media.

    - #### PLAY

          public static final HttpMethod PLAY

      The PLAY method tells the server to start sending data via the mechanism specified in SETUP.

    - #### PAUSE

          public static final HttpMethod PAUSE

      The PAUSE request causes the stream delivery to be interrupted (halted) temporarily.

    - #### TEARDOWN

          public static final HttpMethod TEARDOWN

      The TEARDOWN request stops the stream delivery for the given URI, freeing the resources associated with it.

    - #### GET_PARAMETER

          public static final HttpMethod GET_PARAMETER

      The GET_PARAMETER request retrieves the value of a parameter of a presentation or stream specified in the URI.

    - #### SET_PARAMETER

          public static final HttpMethod SET_PARAMETER

      The SET_PARAMETER requests to set the value of a parameter for a presentation or stream specified by the URI.

    - #### REDIRECT

          public static final HttpMethod REDIRECT

      The REDIRECT request informs the client that it must connect to another server location.

    - #### RECORD

          public static final HttpMethod RECORD

      The RECORD method initiates recording a range of media data according to the presentation description.

  - ### Method Detail

    - #### valueOf

          public static HttpMethod valueOf(String name)

      Returns the `HttpMethod` represented by the specified name. If the specified name is a standard RTSP method name, a cached instance will be returned. Otherwise, a new instance will be returned.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.